IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC](
	[CD_CTR] [int] IDENTITY(1,1) NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
	[DT_CAD_PROC] [datetime] NOT NULL,
 CONSTRAINT [PK_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC] PRIMARY KEY CLUSTERED 
(
	[CD_CTR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_DT_CAD]  DEFAULT (CONVERT([char](10),getdate(),(112))) FOR [DT_CAD]

ALTER TABLE [dbo].[EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_GRUPO_CURVA_PARETO_PROC_DT_CAD_PROC]  DEFAULT (getdate()) FOR [DT_CAD_PROC]
END
